## colord-kde 0.3.0

=== CMakeLists.txt ===
project(colord-kde)

set(COLORD_KDE_VERSION "0.3.0")
configure_file(config.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/config.h )

find_package(KDE4 REQUIRED)

include(FindPkgConfig)
include(KDE4Defaults)
include(ConfigureChecks.cmake)

message(STATUS "X randr is required, found: " ${XRANDR_1_3_FOUND})

pkg_check_modules(LCMS2 REQUIRED lcms2)

add_definitions(${QT_DEFINITIONS} ${KDE_DEFINITIONS})

include_directories(${CMAKE_SOURCE_DIR}
    ${X11_Xrandr_INCLUDE_PATH}
    ${X11_X11_INCLUDE_PATH}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${KDE4_INCLUDES}
)

add_subdirectory(colord-kded)
add_subdirectory(colord-kcm)
add_subdirectory(icc-importer)
#add_subdirectory(dataengine)

=== colord-kcm/CMakeLists.txt ===
set(kcm_colord_SRCS
    NoSelectionRectDelegate.cpp
    DeviceModel.cpp
    ProfileModel.cpp
    Profile.cpp
    ProfileNamedColors.cpp
    ProfileMetaData.cpp
    Description.cpp
    ColordKCM.cpp
)

kde4_add_ui_files(kcm_colord_SRCS
    ProfileNamedColors.ui
    ProfileMetaData.ui
    Description.ui
    ColordKCM.ui
)

#find_file(COLOR_HELPER_INTERFACE_XML org.freedesktop.ColorHelper.xml
#        PATHS ${CMAKE_INSTALL_PREFIX}/share/dbus-1/interfaces/
#)
#set(COLOR_HELPER_INTERFACE_XML
#    ../colord-tmp-interfaces/org.freedesktop.ColorHelper.xml
#)
set(COLORD_INTERFACE_XML
    ../colord-tmp-interfaces/org.freedesktop.ColorManager.xml
)
set(COLORD_DEVICE_INTERFACE_XML
    ../colord-tmp-interfaces/org.freedesktop.ColorManager.Device.xml
)
set(COLORD_PROFILE_INTERFACE_XML
    ../colord-tmp-interfaces/org.freedesktop.ColorManager.Profile.xml
)
set(COLORD_SENSOR_INTERFACE_XML
    ../colord-tmp-interfaces/org.freedesktop.ColorManager.Sensor.xml
)
#if (COLORD_INTERFACE_XML STREQUAL "COLORD_INTERFACE_XML-NOTFOUND" OR
#    COLORD_DEVICE_INTERFACE_XML STREQUAL "COLORD_DEVICE_INTERFACE_XML-NOTFOUND")
#        message (FATAL_ERROR "Unable to find colord DBus specifications! Please install colord to continue!")
#endif ()

#set_source_files_properties(${COLOR_HELPER_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
#set_source_files_properties(${COLOR_HELPER_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
#qt4_add_dbus_interfaces(kcm_colord_SRCS ${COLOR_HELPER_INTERFACE_XML})

set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES CLASSNAME CdInterface)
qt4_add_dbus_interface(kcm_colord_SRCS ${COLORD_INTERFACE_XML} CdInterface)

set_source_files_properties(${COLORD_DEVICE_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
set_source_files_properties(${COLORD_DEVICE_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${COLORD_DEVICE_INTERFACE_XML} PROPERTIES CLASSNAME CdDeviceInterface)
qt4_add_dbus_interface(kcm_colord_SRCS ${COLORD_DEVICE_INTERFACE_XML} CdDeviceInterface)

set_source_files_properties(${COLORD_PROFILE_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
set_source_files_properties(${COLORD_PROFILE_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${COLORD_PROFILE_INTERFACE_XML} PROPERTIES CLASSNAME CdProfileInterface)
qt4_add_dbus_interface(kcm_colord_SRCS ${COLORD_PROFILE_INTERFACE_XML} CdProfileInterface)

set_source_files_properties(${COLORD_SENSOR_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
set_source_files_properties(${COLORD_SENSOR_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${COLORD_SENSOR_INTERFACE_XML} PROPERTIES CLASSNAME CdSensorInterface)
qt4_add_dbus_interface(kcm_colord_SRCS ${COLORD_SENSOR_INTERFACE_XML} CdSensorInterface)

kde4_add_plugin(kcm_colord ${kcm_colord_SRCS})
target_link_libraries(kcm_colord
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${LCMS2_LIBRARIES}
)

install(TARGETS kcm_colord DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kcm_colord.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== colord-kded/CMakeLists.txt ===
set(colord_kded_SRCS
    DmiUtils.cpp
    Edid.cpp
    Output.cpp
    ProfileUtils.cpp
    XEventHandler.cpp
    ProfilesWatcher.cpp
    ColorD.cpp
)

#find_file(COLORD_INTERFACE_XML org.freedesktop.ColorManager.xml
#        PATHS ${CMAKE_INSTALL_PREFIX}/share/dbus-1/interfaces/
#)
set(COLORD_INTERFACE_XML
    ../colord-tmp-interfaces/org.freedesktop.ColorManager.xml
)
set(COLORD_DEVICE_INTERFACE_XML
    ../colord-tmp-interfaces/org.freedesktop.ColorManager.Device.xml
)
set(COLORD_PROFILE_INTERFACE_XML
    ../colord-tmp-interfaces/org.freedesktop.ColorManager.Profile.xml
)
#if (COLORD_INTERFACE_XML STREQUAL "COLORD_INTERFACE_XML-NOTFOUND" OR
#    COLORD_DEVICE_INTERFACE_XML STREQUAL "COLORD_DEVICE_INTERFACE_XML-NOTFOUND")
#        message (FATAL_ERROR "Unable to find colord DBus specifications! Please install colord to continue!")
#endif ()

set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES CLASSNAME CdInterface)
qt4_add_dbus_interface(colord_kded_SRCS ${COLORD_INTERFACE_XML} CdInterface)

set_source_files_properties(${COLORD_DEVICE_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
set_source_files_properties(${COLORD_DEVICE_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${COLORD_DEVICE_INTERFACE_XML} PROPERTIES CLASSNAME CdDeviceInterface)
qt4_add_dbus_interface(colord_kded_SRCS ${COLORD_DEVICE_INTERFACE_XML} CdDeviceInterface)

set_source_files_properties(${COLORD_PROFILE_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
set_source_files_properties(${COLORD_PROFILE_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${COLORD_PROFILE_INTERFACE_XML} PROPERTIES CLASSNAME CdProfileInterface)
qt4_add_dbus_interface(colord_kded_SRCS ${COLORD_PROFILE_INTERFACE_XML} CdProfileInterface)

kde4_add_plugin(kded_colord ${colord_kded_SRCS})
target_link_libraries(kded_colord
    ${KDE4_KDEUI_LIBS}
    ${X11_Xrandr_LIB}
    ${X11_X11_LIB}
    ${LCMS2_LIBRARIES}
)

install(TARGETS kded_colord DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES colord.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)

=== dataengine/CMakeLists.txt ===
# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
 
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
)
 
# We add our source code here
set(colord_engine_SRCS
    ColordServiceJob.cpp
    ColordService.cpp
    ColordEngine.cpp
)
 
# Now make sure all files get to the right place
kde4_add_plugin(plasma_engine_colord ${colord_engine_SRCS})
target_link_libraries(plasma_engine_colord
    ${KDE4_KDECORE_LIBS}
    ${KDE4_PLASMA_LIBS}
)
 
install(TARGETS plasma_engine_colord
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-engine-colord.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES org.freedesktop.colord.operations
        DESTINATION ${DATA_INSTALL_DIR}/plasma/services)

=== icc-importer/CMakeLists.txt ===
set(iccimporter_SRCS
    ../colord-kcm/Profile.cpp
    main.cpp
)

set(COLORD_INTERFACE_XML
    ../colord-tmp-interfaces/org.freedesktop.ColorManager.xml
)
set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES CLASSNAME CdInterface)
qt4_add_dbus_interface(iccimporter_SRCS ${COLORD_INTERFACE_XML} CdInterface)

kde4_add_executable(colord-kde-icc-importer ${iccimporter_SRCS})
target_link_libraries(colord-kde-icc-importer
    ${KDE4_KDEUI_LIBS}
    ${LCMS2_LIBRARIES}
)

install(TARGETS colord-kde-icc-importer DESTINATION ${BIN_INSTALL_DIR})
install(FILES colordkdeiccimporter.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

## colord-kde 0.2.0

=== debian/changelog ===
colord-kde (0.2.0-0ubuntu2) raring; urgency=low

  * Add kubuntu_01_apply_at_startup.diff from upstream
    Fixes LP: #1083628 settings not applied after reboot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 27 Nov 2012 15:42:12 +0000

colord-kde (0.2.0-0ubuntu1) quantal; urgency=low

  * Initial package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 11 Jun 2012 23:31:08 +0200

=== debian/control ===
Source: colord-kde
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.90),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1), liblcms2-dev, libxrandr-dev, libcolord-dev
Standards-Version: 3.9.3

Package: colord-kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Color management for KDE
 A System Settings module to do color management for monitors,
 printers, webcams and other devices.
 .
 This package is part of the KDE education module.

## colord-kde 0.3.0

=== debian/changelog ===
colord-kde (0.3.0-0ubuntu3) trusty; urgency=medium

  * Copy kcm_colord.desktop to XDG applications/kde4/, so it gets picked up
    by app-install-data.
    + Add Hidden=true to prevent it from showing up in menus etc.
    + Add Exec=kcmshell4 colord to enablae muon-discover to run the KCM after
      installation.

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 07 Mar 2014 15:51:22 +0100

colord-kde (0.3.0-0ubuntu2) saucy; urgency=low

  * Add kubuntu_01_l10n.diff to include translations

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Sep 2013 13:59:12 +0100

colord-kde (0.3.0-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1175575).
  * debian/control: updated Standards-Version.
  * debian/patches/kubuntu_01_apply_at_startup.diff: dropped, included
    upstream.

 -- Paolo Rotolo <paolorotolo@ubuntu.com>  Thu, 02 May 2013 20:23:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: kde-sc-dev-latest (>= 4:4.8.90),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.8.1), liblcms2-dev, libxrandr-dev, libcolord-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: colord-kde
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command)
	cp -v debian/colord-kde/usr/share/kde4/services/kcm_colord.desktop \
	      debian/colord-kde/usr/share/applications/kde4/kcm_colord.desktop
	echo "Hidden=true" >> debian/colord-kde/usr/share/applications/kde4/kcm_colord.desktop
	echo "Exec=kcmshell4 colord" >> debian/colord-kde/usr/share/applications/kde4/kcm_colord.desktop

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/colord-kde/([\d.]+)/src/colord-kde-([\d.]+).tar.bz2

## colord-kde 0.5.0

=== CMakeLists.txt ===
project(colord-kde)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.3.0")

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

set(COLORD_KDE_VERSION "0.5.0")
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

include(FindPkgConfig)
include(ECMPackageConfigHelpers)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Widgets
    X11Extras
)

find_package(X11)
find_package(XCB COMPONENTS XCB RANDR)

find_package(KF5 REQUIRED Config ConfigWidgets CoreAddons DBusAddons IconThemes I18n KCMUtils KIO
             Notifications Plasma WidgetsAddons WindowSystem ItemViews)

add_definitions(-DTRANSLATION_DOMAIN=\"colord-kde\")

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

message(STATUS "X randr is required, found: " ${XRANDR_1_3_FOUND})

pkg_check_modules(LCMS2 REQUIRED lcms2)

include_directories(${CMAKE_SOURCE_DIR}
    ${X11_Xrandr_INCLUDE_PATH}
    ${X11_X11_INCLUDE_PATH}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_subdirectory(colord-kded)
add_subdirectory(colord-kcm)
add_subdirectory(icc-importer)
#add_subdirectory(dataengine)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== colord-kcm/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/colord-kcm
                    ${CMAKE_BUILD_DIR}
                    ${X11_Xrandr_INCLUDE_PATH}
)

set(kcm_colord_SRCS
    NoSelectionRectDelegate.cpp
    DeviceModel.cpp
    ProfileModel.cpp
    Profile.cpp
    ProfileNamedColors.cpp
    ProfileMetaData.cpp
    Description.cpp
    ColordKCM.cpp
)

ki18n_wrap_ui(kcm_colord_SRCS
    ProfileNamedColors.ui
    ProfileMetaData.ui
    Description.ui
    ColordKCM.ui
)

set(COLORD_INTERFACE_XML ${CMAKE_SOURCE_DIR}/colord-tmp-interfaces/org.freedesktop.ColorManager.xml)
set(COLORD_DEVICE_INTERFACE_XML ${CMAKE_SOURCE_DIR}/colord-tmp-interfaces/org.freedesktop.ColorManager.Device.xml)
set(COLORD_PROFILE_INTERFACE_XML ${CMAKE_SOURCE_DIR}/colord-tmp-interfaces/org.freedesktop.ColorManager.Profile.xml)
set(COLORD_SENSOR_INTERFACE_XML ${CMAKE_SOURCE_DIR}/colord-tmp-interfaces/org.freedesktop.ColorManager.Sensor.xml)

set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES CLASSNAME CdInterface)
qt5_add_dbus_interface(kcm_colord_SRCS ${COLORD_INTERFACE_XML} CdInterface)

set_source_files_properties(${COLORD_DEVICE_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
set_source_files_properties(${COLORD_DEVICE_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${COLORD_DEVICE_INTERFACE_XML} PROPERTIES CLASSNAME CdDeviceInterface)
qt5_add_dbus_interface(kcm_colord_SRCS ${COLORD_DEVICE_INTERFACE_XML} CdDeviceInterface)

set_source_files_properties(${COLORD_PROFILE_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
set_source_files_properties(${COLORD_PROFILE_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${COLORD_PROFILE_INTERFACE_XML} PROPERTIES CLASSNAME CdProfileInterface)
qt5_add_dbus_interface(kcm_colord_SRCS ${COLORD_PROFILE_INTERFACE_XML} CdProfileInterface)

set_source_files_properties(${COLORD_SENSOR_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
set_source_files_properties(${COLORD_SENSOR_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${COLORD_SENSOR_INTERFACE_XML} PROPERTIES CLASSNAME CdSensorInterface)
qt5_add_dbus_interface(kcm_colord_SRCS ${COLORD_SENSOR_INTERFACE_XML} CdSensorInterface)

add_library(kcm_colord MODULE ${kcm_colord_SRCS})
target_link_libraries(kcm_colord
    Qt5::Core
    Qt5::Widgets
    Qt5::DBus
    KF5::CoreAddons
    KF5::I18n
    KF5::IconThemes
    KF5::KCMUtils
    ${LCMS2_LIBRARIES}
)

install(TARGETS kcm_colord DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kcm_colord.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== colord-kded/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/colord-kded
                    ${CMAKE_BUILD_DIR}
                    ${X11_Xrandr_INCLUDE_PATH}
)

set(colord_kded_SRCS
    DmiUtils.cpp
    Edid.cpp
    Output.cpp
    ProfileUtils.cpp
    XEventHandler.cpp
    ProfilesWatcher.cpp
    ColorD.cpp
)

set(COLORD_INTERFACE_XML ${CMAKE_SOURCE_DIR}/colord-tmp-interfaces/org.freedesktop.ColorManager.xml)
set(COLORD_DEVICE_INTERFACE_XML ${CMAKE_SOURCE_DIR}/colord-tmp-interfaces/org.freedesktop.ColorManager.Device.xml)
set(COLORD_PROFILE_INTERFACE_XML ${CMAKE_SOURCE_DIR}/colord-tmp-interfaces/org.freedesktop.ColorManager.Profile.xml)

set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES CLASSNAME CdInterface)
qt5_add_dbus_interface(colord_kded_SRCS ${COLORD_INTERFACE_XML} CdInterface)

set_source_files_properties(${COLORD_DEVICE_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
set_source_files_properties(${COLORD_DEVICE_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${COLORD_DEVICE_INTERFACE_XML} PROPERTIES CLASSNAME CdDeviceInterface)
qt5_add_dbus_interface(colord_kded_SRCS ${COLORD_DEVICE_INTERFACE_XML} CdDeviceInterface)

set_source_files_properties(${COLORD_PROFILE_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
set_source_files_properties(${COLORD_PROFILE_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${COLORD_PROFILE_INTERFACE_XML} PROPERTIES CLASSNAME CdProfileInterface)
qt5_add_dbus_interface(colord_kded_SRCS ${COLORD_PROFILE_INTERFACE_XML} CdProfileInterface)

add_library(kded_colord MODULE ${colord_kded_SRCS})
target_link_libraries(kded_colord
    Qt5::Core
    Qt5::Widgets
    Qt5::DBus
    Qt5::X11Extras
    KF5::CoreAddons
    KF5::DBusAddons
    KF5::WindowSystem
    ${X11_Xrandr_LIB}
    ${X11_LIBRARIES}
    ${XCB_LIBRARIES}
    ${LCMS2_LIBRARIES}
)

install(TARGETS kded_colord DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES colord.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)

=== icc-importer/CMakeLists.txt ===
set(iccimporter_SRCS
    ../colord-kcm/Profile.cpp
    main.cpp
)

set(COLORD_INTERFACE_XML ${CMAKE_SOURCE_DIR}/colord-tmp-interfaces/org.freedesktop.ColorManager.xml)

set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES CLASSNAME CdInterface)
qt5_add_dbus_interface(iccimporter_SRCS ${COLORD_INTERFACE_XML} CdInterface)

add_executable(colord-kde-icc-importer ${iccimporter_SRCS})
target_link_libraries(colord-kde-icc-importer
    Qt5::Core
    Qt5::Widgets
    Qt5::DBus
    KF5::CoreAddons
    KF5::I18n
    KF5::WidgetsAddons
    KF5::IconThemes
    KF5::ConfigCore
    ${LCMS2_LIBRARIES}
)

install(TARGETS colord-kde-icc-importer DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES colordkdeiccimporter.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== debian/changelog ===
colord-kde (0.5.0-4) experimental; urgency=medium

  * Team upload.
  * Add the configuration for the CI on salsa.
  * Explicitly add needed build dependencies: libxcb-randr0-dev
    (Closes: #947363), pkg-config, and gettext.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Dec 2019 23:22:31 +0100

colord-kde (0.5.0-3) experimental; urgency=medium

  * Team upload.
  * Switch Vcs-* fields to salsa.debian.org.
  * Switch away from (private) debian-qt-kde.mk to the dh sequencer with kf5
    addon
    - make sure to link in as-needed mode
  * Drop transitional kio-dev, and plasma-framework-dev build dependencies;
    their non-transitional counterparts are already specified.
    (Closes: #903895)
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.1.5, no changes required.
  * Simplify watch file, and switch it to https.
  * Switch Format in copyright to https, and make it valid.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Jul 2018 11:45:33 +0200

colord-kde (0.5.0-2) experimental; urgency=medium

  * Initial Debian upload.
  * Add myself as human uploader
  * Bump debhelper compat to 9
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Add homepage and vcs fields
  * Update build-deps and deps with the info from cmake
  * Update copyright information

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Nov 2016 23:26:02 +0100

colord-kde (0.5.0-1) xenial; urgency=medium

  * KF5 port, New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 25 Oct 2016 01:59:00 -0700

=== debian/control ===
Source: colord-kde
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 1.3.0~),
               gettext,
               libcolord-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kcmutils-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5plasma-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               liblcms2-dev,
               libqt5x11extras5-dev (>= 5.3.0~),
               libxcb-randr0-dev,
               libxrandr-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.3.0~)
Standards-Version: 4.4.1
Homepage: https://quickgit.kde.org/?p=colord-kde.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/colord-kde
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/colord-kde.git

Package: colord-kde
Architecture: any
Depends: gnome-color-manager, ${misc:Depends}, ${shlibs:Depends}
Description: Color management for KDE
 A System Settings module to do color management for monitors,
 printers, webcams and other devices.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

=== debian/watch ===
version=3
https://download.kde.org/stable/colord-kde/([\d.]+)/src/colord-kde-([\d.]+)\.tar\.xz

## colord-kde 22.11.80

=== debian/changelog ===
colord-kde (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:47:17 +0000

colord-kde (0.5.0-5) experimental; urgency=medium

  * Team upload.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Switch the watch file to version 4, no changes required.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Switch Homepage to https://invent.kde.org/graphics/colord-kde.
  * Depend on hwdata, as it can read pnp.ids.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Mar 2021 09:12:49 +0100

## colord-kde 22.11.90

=== debian/changelog ===
colord-kde (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:01:02 +0000

## colord-kde 22.12.0

=== debian/changelog ===
colord-kde (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:04:36 +0000

=== debian/control ===
Source: colord-kde
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libcolord-dev,
               libkf5config-dev,
               libkf5configwidgets-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5dbusaddons-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kcmutils-dev (>= 5.91.0~),
               libkf5kio-dev (>= 5.91.0~),
               libkf5notifications-dev,
               libkf5plasma-dev,
               libkf5widgetsaddons-dev (>= 5.91.0~),
               libkf5windowsystem-dev (>= 5.91.0~),
               liblcms2-dev,
               libqt5x11extras5-dev (>= 5.15.2~),
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/graphics/colord-kde
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/colord-kde
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/colord-kde.git

Package: colord-kde
Architecture: any
Depends: gnome-color-manager, hwdata, ${misc:Depends}, ${shlibs:Depends}
Description: Color management for KDE
 A System Settings module to do color management for monitors,
 printers, webcams and other devices.

=== debian/watch ===
version=4
https://download.kde.org/stable/colord-kde/([\d.]+)/src/colord-kde-([\d.]+)\.tar\.xz

## colord-kde 22.12.1

=== debian/changelog ===
colord-kde (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:11:00 +0000

colord-kde (22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Dec 2022 14:32:43 +0000

colord-kde (22.12.0-1) unstable; urgency=medium

  * Upload to unstable. (Closes: #859093)
  * New upstream release.
  * Set Maintainer to the canonical form.
  * Update Vcs-* fields.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * colord-kde is now part of the KDE release service, so:
    - switch watch file to release-service locations
    - import release-service GPG signing key
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.2
    - bump KF packages to 5.91.0
    - drop no more needed: libcolord-dev, libkf5config-dev,
      libkf5iconthemes-dev, libkf5itemviews-dev, libkf5notifications-dev,
      and libkf5plasma-dev
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Update standards version to 4.6.1, no changes needed.
  * Add upstream/metadata based on the other release-service modules.
  * Small updates to copyright.
  * Explicitly depend on colord: even if gnome-color-manager (currently a
    dependency) depends on colord already, we do not want to rely on indirect
    dependencies.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Dec 2022 13:19:28 +0100

## colord-kde 22.12.2

=== debian/changelog ===
colord-kde (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:09:53 -0600

=== debian/control ===
Source: colord-kde
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libkf5configwidgets-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5dbusaddons-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5kcmutils-dev (>= 5.91.0~),
               libkf5kio-dev (>= 5.91.0~),
               libkf5widgetsaddons-dev (>= 5.91.0~),
               libkf5windowsystem-dev (>= 5.91.0~),
               liblcms2-dev,
               libqt5x11extras5-dev (>= 5.15.2~),
               libxcb-randr0-dev,
               libxrandr-dev,
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/graphics/colord-kde
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/colord-kde
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/colord-kde

Package: colord-kde
Architecture: any
Depends: colord, gnome-color-manager, hwdata, ${misc:Depends}, ${shlibs:Depends}
Description: Color management for KDE
 A System Settings module to do color management for monitors,
 printers, webcams and other devices.

## colord-kde 22.12.3

=== colord-kded/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/colord-kded
                    ${CMAKE_BUILD_DIR}
)

add_definitions(-DPROJECT_NAME=\"${PROJECT_NAME}\")

kcoreaddons_add_plugin(kded_colord INSTALL_NAMESPACE kf${QT_MAJOR_VERSION}/kded)

target_sources(kded_colord PRIVATE
    DmiUtils.cpp
    Edid.cpp
    Output.cpp
    ProfileUtils.cpp
    XEventHandler.cpp
    ProfilesWatcher.cpp
    ColorD.cpp

    DmiUtils.h
    Edid.h
    Output.h
    ProfileUtils.h
    XEventHandler.h
    ProfilesWatcher.h
    ColorD.h
)

set(COLORD_INTERFACE_XML ${CMAKE_SOURCE_DIR}/colord-tmp-interfaces/org.freedesktop.ColorManager.xml)
set(COLORD_DEVICE_INTERFACE_XML ${CMAKE_SOURCE_DIR}/colord-tmp-interfaces/org.freedesktop.ColorManager.Device.xml)
set(COLORD_PROFILE_INTERFACE_XML ${CMAKE_SOURCE_DIR}/colord-tmp-interfaces/org.freedesktop.ColorManager.Profile.xml)

set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES CLASSNAME CdInterface)
qt_add_dbus_interface(dbus_SRCS ${COLORD_INTERFACE_XML} CdInterface)

set_source_files_properties(${COLORD_DEVICE_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
set_source_files_properties(${COLORD_DEVICE_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${COLORD_DEVICE_INTERFACE_XML} PROPERTIES CLASSNAME CdDeviceInterface)
qt_add_dbus_interface(dbus_SRCS ${COLORD_DEVICE_INTERFACE_XML} CdDeviceInterface)

set_source_files_properties(${COLORD_PROFILE_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
set_source_files_properties(${COLORD_PROFILE_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${COLORD_PROFILE_INTERFACE_XML} PROPERTIES CLASSNAME CdProfileInterface)
qt_add_dbus_interface(dbus_SRCS ${COLORD_PROFILE_INTERFACE_XML} CdProfileInterface)

target_sources(kded_colord PRIVATE ${dbus_SRCS})

target_link_libraries(kded_colord
    Qt::Core
    Qt::Widgets
    Qt::DBus
    KF5::CoreAddons
    KF5::DBusAddons
    KF5::WindowSystem
    X11::X11
    X11::Xrandr
    PkgConfig::LCMS2
)
if (QT_MAJOR_VERSION STREQUAL "5")
    target_link_libraries(kded_colord Qt::X11Extras)
elseif (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(kded_colord Qt::Gui)
endif()

set_target_properties(kded_colord PROPERTIES OUTPUT_NAME colord)
kcoreaddons_desktop_to_json(kded_colord colord.desktop)

=== icc-importer/CMakeLists.txt ===
set(iccimporter_SRCS
    ../colord-kcm/Profile.cpp
    main.cpp
)

set(COLORD_INTERFACE_XML ${CMAKE_SOURCE_DIR}/colord-tmp-interfaces/org.freedesktop.ColorManager.xml)

set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES INCLUDE "dbus-types.h")
set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${COLORD_INTERFACE_XML} PROPERTIES CLASSNAME CdInterface)
qt_add_dbus_interface(iccimporter_SRCS ${COLORD_INTERFACE_XML} CdInterface)

add_executable(colord-kde-icc-importer ${iccimporter_SRCS})
target_link_libraries(colord-kde-icc-importer
    Qt::Core
    Qt::Widgets
    Qt::DBus
    KF5::CoreAddons
    KF5::I18n
    KF5::WidgetsAddons
    PkgConfig::LCMS2
)

install(TARGETS colord-kde-icc-importer DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES colordkdeiccimporter.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== debian/changelog ===
colord-kde (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:43 +0100

colord-kde (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Added myself to the uploaders.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 22:33:11 +0100

=== debian/control ===
Source: colord-kde
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libkf5configwidgets-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5dbusaddons-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5kcmutils-dev (>= 5.91.0~),
               libkf5kio-dev (>= 5.91.0~),
               libkf5widgetsaddons-dev (>= 5.91.0~),
               libkf5windowsystem-dev (>= 5.91.0~),
               liblcms2-dev,
               libqt5x11extras5-dev (>= 5.15.2~),
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/graphics/colord-kde
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/colord-kde
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/colord-kde.git

Package: colord-kde
Architecture: any
Depends: colord,
         gnome-color-manager,
         hwdata,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Color management for KDE
 A System Settings module to do color management for monitors,
 printers, webcams and other devices.

## colord-kde 23.04.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set (CMAKE_CXX_STANDARD 17)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "23")
set (RELEASE_SERVICE_VERSION_MINOR "04")
set (RELEASE_SERVICE_VERSION_MICRO "2")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(colord-kde VERSION ${RELEASE_SERVICE_VERSION})

set(KF5_MIN_VERSION "5.91.0")
set(REQUIRED_QT_VERSION "5.15.2")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})


include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(FindPkgConfig)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)
include(ECMSetupVersion)
include(ECMFindQmlModule)
include(ECMPoQmTools)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMDeprecationSettings)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

ecm_setup_version("${PROJECT_VERSION}"
    VARIABLE_PREFIX "COLORD_KDE"
    VERSION_HEADER "version.h"
)
ecm_find_qmlmodule(org.kde.kirigamiaddons.treeview 1.0)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Widgets
)

find_package(X11)
set_package_properties(X11 PROPERTIES
    TYPE OPTIONAL
    PURPOSE "For colord integration on X11"
)

if (X11_FOUND)
    find_package(XCB REQUIRED COMPONENTS XCB RANDR)
    if (QT_MAJOR_VERSION STREQUAL "5")
        find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} NO_MODULE)
    elseif (QT_MAJOR_VERSION STREQUAL "6")
        find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui) # qtx11extras_p.h
    endif()
endif()

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED ConfigWidgets CoreAddons DBusAddons I18n KCMUtils
             WidgetsAddons WindowSystem Package Declarative ItemModels)

add_definitions(-DTRANSLATION_DOMAIN=\"colord-kde\")

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

pkg_check_modules(LCMS2 REQUIRED lcms2 IMPORTED_TARGET)

include_directories(${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

ecm_set_disabled_deprecation_versions(
	KF 5.100.0)


if (X11_FOUND)
    add_subdirectory(colord-kded)
endif()
add_subdirectory(colord-kcm)
add_subdirectory(icc-importer)

ki18n_install(po)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
colord-kde (23.04.2-0ubuntu1) mantic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (23.04.1)
  * Update build depends:
    - add libkf5declarative-dev
    - add libkf5itemmodels-dev
    - add libkf5package-dev
  * New upstream release (23.04.2)

  [ Rik Mills ]
  * Add runtime depends on qml-module-org-kde-kirigami-addons-treeview,
    as indicated in cmake output.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:53:24 +0100

colord-kde (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:33:46 +0000

## colord-kde 23.04.3

=== debian/changelog ===
colord-kde (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:41:44 +0100

## colord-kde 23.07.90

=== debian/changelog ===
colord-kde (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:29:38 +0100

## colord-kde 23.08.0

=== debian/changelog ===
colord-kde (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:49:32 +0100

## colord-kde 23.08.1

=== debian/changelog ===
colord-kde (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:54:44 +0100

## colord-kde 23.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "23")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
 set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
colord-kde (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:26:30 +0100

## colord-kde 23.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "23")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(colord-kde VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
colord-kde (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:30:07 +0000

## colord-kde 23.08.4

=== debian/changelog ===
colord-kde (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:11:02 +0000

## colord-kde 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "23")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(colord-kde VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
colord-kde (23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:37:40 +0200

colord-kde (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:45:56 +0000

colord-kde (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:07:21 +0000

colord-kde (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:28:50 -0700

=== debian/control ===
Source: colord-kde
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libkf5configwidgets-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5dbusaddons-dev (>= 5.91.0~),
               libkf5declarative-dev,
               libkf5i18n-dev (>= 5.91.0~),
               libkf5itemmodels-dev,
               libkf5kcmutils-dev (>= 5.91.0~),
               libkf5kio-dev (>= 5.91.0~),
               libkf5package-dev,
               libkf5widgetsaddons-dev (>= 5.91.0~),
               libkf5windowsystem-dev (>= 5.91.0~),
               liblcms2-dev,
               libqt5x11extras5-dev (>= 5.15.2~),
               libxcb-randr0-dev,
               libxrandr-dev,
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/graphics/colord-kde
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/colord-kde
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/colord-kde

Package: colord-kde
Architecture: any
Depends: colord,
         gnome-color-manager,
         hwdata,
         qml-module-org-kde-kirigami-addons-treeview,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Color management for KDE
 A System Settings module to do color management for monitors,
 printers, webcams and other devices.

## colord-kde 24.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set (CMAKE_CXX_STANDARD 17)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "1")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(colord-kde VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "5.240.0")
set(REQUIRED_QT_VERSION "6.5.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})


include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(FindPkgConfig)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)
include(ECMSetupVersion)
include(ECMFindQmlModule)
include(ECMPoQmTools)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMDeprecationSettings)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

ecm_setup_version("${PROJECT_VERSION}"
    VARIABLE_PREFIX "COLORD_KDE"
    VERSION_HEADER "version.h"
)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Widgets
)

option(WITHOUT_X11 "Build without colord-kded for X11 integration (skips finding X11)" OFF)
if(NOT WITHOUT_X11)
    find_package(X11)
    set_package_properties(X11 PROPERTIES
        TYPE OPTIONAL
        PURPOSE "For colord integration on X11"
    )
    set(HAVE_X11 ${X11_FOUND})
endif()

if (HAVE_X11)
    find_package(XCB REQUIRED COMPONENTS XCB RANDR)
endif()

find_package(KF6 ${KF_MIN_VERSION} REQUIRED CoreAddons DBusAddons I18n KCMUtils
             WidgetsAddons WindowSystem ItemModels)

add_definitions(-DTRANSLATION_DOMAIN=\"colord-kde\")

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

pkg_check_modules(LCMS2 REQUIRED lcms2 IMPORTED_TARGET)

include_directories(${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

ecm_set_disabled_deprecation_versions(
	KF 5.100.0)


if (HAVE_X11)
    add_subdirectory(colord-kded)
endif()
add_subdirectory(colord-kcm)
add_subdirectory(icc-importer)

ki18n_install(po)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
colord-kde (24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (24.08.1) (LP: #2081234)
  * Update build and runtime depends for Qt6 port.

 -- Rik Mills <rikmills@kde.org>  Fri, 20 Sep 2024 09:23:57 +0100

=== debian/control ===
Source: colord-kde
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6dbusaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6itemmodels-dev (>= 5.240.0~),
               libkf6kcmutils-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libkf6windowsystem-dev (>= 5.240.0~),
               liblcms2-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               libxrandr-dev,
               pkg-config,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/graphics/colord-kde
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/colord-kde
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/colord-kde

Package: colord-kde
Architecture: any
Depends: colord,
         gnome-color-manager,
         hwdata,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Color management for KDE
 A System Settings module to do color management for monitors,
 printers, webcams and other devices.
